<?php
/**
 * Block Styles
 *
 * @package it-software-service
 * @since 1.0
 */

if ( function_exists( 'register_block_style' ) ) {
	function it_software_service_register_block_styles() {

		//Wp Block Padding Zero
		register_block_style(
			'core/group',
			array(
				'name'  => 'it-software-service-padding-0',
				'label' => esc_html__( 'No Padding', 'it-software-service' ),
			)
		);

		//Wp Block Post Author Style
		register_block_style(
			'core/post-author',
			array(
				'name'  => 'it-software-service-post-author-card',
				'label' => esc_html__( 'Theme Style', 'it-software-service' ),
			)
		);

		//Wp Block Button Style
		register_block_style(
			'core/button',
			array(
				'name'         => 'it-software-service-button',
				'label'        => esc_html__( 'Plain', 'it-software-service' ),
			)
		);

		//Post Comments Style
		register_block_style(
			'core/post-comments',
			array(
				'name'         => 'it-software-service-post-comments',
				'label'        => esc_html__( 'Theme Style', 'it-software-service' ),
			)
		);

		//Latest Comments Style
		register_block_style(
			'core/latest-comments',
			array(
				'name'         => 'it-software-service-latest-comments',
				'label'        => esc_html__( 'Theme Style', 'it-software-service' ),
			)
		);


		//Wp Block Table Style
		register_block_style(
			'core/table',
			array(
				'name'         => 'it-software-service-wp-table',
				'label'        => esc_html__( 'Theme Style', 'it-software-service' ),
			)
		);


		//Wp Block Pre Style
		register_block_style(
			'core/preformatted',
			array(
				'name'         => 'it-software-service-wp-preformatted',
				'label'        => esc_html__( 'Theme Style', 'it-software-service' ),
			)
		);

		//Wp Block Verse Style
		register_block_style(
			'core/verse',
			array(
				'name'         => 'it-software-service-wp-verse',
				'label'        => esc_html__( 'Theme Style', 'it-software-service' ),
			)
		);
	}
	add_action( 'init', 'it_software_service_register_block_styles' );
}
